GDB (xrefs)

Public Attributes | List of all members
demangle_info Struct Reference

## Public Attributes
int | used
struct demangle_info * | next
struct demangle_component | comps [ALLOC_CHUNK]

## Detailed Description

Definition at line 91 of file cp-name-parser.c.

## Member Data Documentation

## ◆ comps

struct demangle_component demangle_info::comps[ALLOC_CHUNK]

Definition at line 94 of file cp-name-parser.c.

Referenced by d_grab().

## ◆ next

struct demangle_info* demangle_info::next

Definition at line 93 of file cp-name-parser.c.

Referenced by gdb.FrameIterator.FrameIterator::__next__(), allocate_info(), cp_merge_demangle_parse_infos(), d_grab(), and demangle_parse_info::~demangle_parse_info().

## ◆ used

int demangle_info::used

Definition at line 92 of file cp-name-parser.c.

Referenced by allocate_info(), and d_grab().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/cp-name-parser.c